function css2SpecDat(it) {
  // Umlaute konvertieren!!
  var stdverw='<P><img src="../../../pics/ueb.gif" width="19" height="20" border="0" alt="zum bergeordneten Diagramm"> '+verweis(top.css2AllgSyntax[1])+'</P>';
  var lz='Dieses Krzel steht fr optionale (kein, ein oder mehrere) Leerzeichen. Mit Leerzeichen sind hier einfache Leerzeichen ("space", Unicode: 32), Tabulatorzeichen ("tab", Unicode: 9), Zeilenvorschub ("line feed", Unicode:10), Wagenrcklauf ("carriage return", Unicode: 13) und Seitenvorschub ("form feed", Unicode: 12) gemeint.';
  with(spOb) {
    if(it=='css2Syntax') {
      ti='CSS2 Style Sheets: Aufbau von Style Sheets';
      bt='<P>Der Aufbau von Style Sheets gem der Spezifikation CSS2 erfolgt nach dem im Diagramm gezeigten allgemeinen Muster.</P><P>Ein Style Sheet kann bei HTML Dokumenten entweder innerhalb des STYLE Elements im Dokument selbst stehen oder mit dem Element LINK aus einer separaten Style Datei (Dateiendung .css) geladen werden. Im ersten Fall liegt das Style Sheet in einem Zeichenkode vor, der fr das gesamte Dokument gilt (in HTML wird der Dokumentzeichenkode mit dem META Element angegeben). Ein externes Style Sheet ist dagegen in einer separaten Datei abgespeichert, welche einen eigenen Zeichenkode verwenden kann. Mit der @charset Regel ('+verweis(top.css2AtRegeln[1])+') kann die verwendete Kodierung spezifiziert werden.</P><P>An zweiter Stelle kann eine Auflistung weiterer Style Sheet Dateien folgen, die mittels @import Regeln ('+verweis(top.css2AtRegeln[2])+') in das aktuelle Style Sheet eingebunden werden.</P><P>Daran schlieen sich die eigentlichen Formatierungsanweisungen fr die verschiedenen Elemente eines Dokuments an. Die Anweisungen knnen ohne weitere Einschrnkungen anwendbar sein ('+verweis(top.css2Regeln[1])+'), sie knnen ihre Gltigkeit aber auch auf die Ausgabe mit bestimmten Medien wie z.B. zeichenorientierte, akustische oder taktile Ausgabegerte beschrnken ('+verweis(top.css2AtRegeln[3])+') oder sich auf eine seitenorientierte Ausgabe wie z.B. fr Druckseiten und Dias beziehen ('+verweis(top.css2AtRegeln[4])+').</P><P>Die Ausgabe von Schriftsymbolen auf verschiedenen Rechnerplattformen stellt ein besonderes Problem dar. Einem Browser steht nicht immer der im Style Sheet angegebene Satz von Schriftsymbolen zur Verfgung. Fr diesen Fall kommt ein Auswahlverfahren zum Einsatz, das einen mglichst hnlichen Symbolsatz ermittelt. Dieses Verfahren kann durch bestimmte Anweisungen beeinflut werden oder es kann die fr die Darstellung notwendigen Daten laden ('+verweis(top.css2AtRegeln[5])+').</P>';
      bem='Die @charset Regel (@charset) darf nur in externen Style Sheet Dateien verwendet werden.';
      a='[@charset]';b='[LZ]';c='[@import]';D=new Array('[Style Regel]','[@media]','[@page]','[@font-face]');
      a_t='Zeichenkodierung, die in einer externen Style Sheet Datei verwendet wird (s. '+verweis(top.css2AtRegeln[1])+'). Die @charset Regel kann nur in externen Style Dateien verwendet werden und mu dort an erster Stelle stehen.';
      b_t=lz;
      c_t='Mit Hilfe von @import Regeln knnen Style Sheets aus externen Dateien in das aktuelle Style Sheet eingebunden werden (s. '+verweis(top.css2AtRegeln[2])+').';
      D_t=new Array('Style Sheet Regeln legen die Darstellung bzw. Ausgabeeigenschaften von Elementen fest. Sie enthalten also die eigentlichen Formatierungs- bzw. Ausgabeanweisungen (s. '+verweis(top.css2Regeln[1])+').',
      '@media Regeln ermglichen eine medienspezifische Ausgabe, d.h. die Formatierung bzw. Ausgabe eines Dokuments kann an bestimmte Ausgabemedien angepasst werden (s. '+verweis(top.css2AtRegeln[3])+').',
      'Mit CSS2 ist es mglich, besondere Formatierungsangaben fr die seitenweise Ausgabe, also fr festgelegte Darstellungsformate zu definieren (s. '+verweis(top.css2AtRegeln[4])+').',
      'Auf verschiedenen Rechnerplattformen oder Computern stehen i.A. nicht die gleichen Schriftsymbolstze zur Verfgung. Die Darstellung von Texten mit Schriftzeichen kann daher sehr unterschiedlich ausfallen. Mit @font-face Regeln lsst sich die Auswahl von Schriftsymbolstzen beeinflussen und so an das gewnschte Schriftlayout zumindest nherungsweise anpassen (s. '+verweis(top.css2AtRegeln[5])+').');
    return}

    if(it=='css2Zeichencode') {
      ti='CSS2 At-Regel: @charset';
      bt='<P>Style Sheets sind in einer Folge von Zeichen aus dem UCS Zeichensatz (Universal Multiple-Octet Coded Character Set) abgefasst. Zur Speicherung und bertragung mssen Style Sheets mit einem Zeichenkode kodiert werden, der zumindest die US-ASCII Zeichen umfasst.<br>Wenn ein Style Sheet in einem anderem Dokument eingebettet ist, bei HTML Dokumenten z.B. durch das STYLE Element oder durch das Attribut style, dann sind die Style Angaben mit dem gleichen Zeichenkode des gesamten Dokuments kodiert.<br>Fr den Fall, dass ein Style Sheet in einer separaten Datei abgelegt ist, mu ein Browser den Zeichenkode nach der folgenden Priorittenliste bestimmen:</P><OL start="1" type="1"><LI>wird die Angabe des "charset" Parameters des HTTP Protokolls ausgwertet</LI><LI>gibt die hier beschriebene @charset Deklaration den Zeichenkode an</LI><LI>werden andere Mechanismen der jeweiligen Dokumentsprache des auf die Style Datei verweisenden Dokuments bercksichtigt (z.B. in HTML Dokumenten das charset Attribut des LINK Elements). </LI></OL><P>Die Angabe von @charset darf nur in einer externen Style Datei stehen. Dort aber hchstens einmal und dies auch nur an allererster Stelle, vor irgendwelchen anderen Zeichen.</P>'+stdverw;
      a='[LZ]';b='[Zeichenkodename]';
      a_t=lz;
      b_t='Name oder Bezeichnung des Zeichenkodes. Gltige Kodes sind nur die von der IANA (Internet Assigned Numbers Authority) registrierte Zeichenkodes. Beispiele: ISO-8859-1, EUC-JP';
    return}
    // Fehler im Syntaxdiagramm: "," und danach keine Medienangabe kann nicht richtig sein!!
    if(it=='css2Import') {ti='CSS2 At-Regel: @import';
      bt='<P>ber die @import Regel knnen Style Sheets aus externen Dateien in das aktuelle Style Sheet eingebunden werden. Mehrfachangaben sind erlaubt. Die Anwendung der eingebundenen Style Sheets kann auf bestimmte Medien beschrnkt werden. Damit ist es mglich, medienspezifische Style Sheets in einzelne Module zu kapseln.</P><P>@import Deklarationen mssen vor der ersten Style Sheet Regel stehen, damit sie wirksam werden. Alle @import Anweisungen, die hinter einer Style Sheet Regel notiert sind, werden ignoriert.</P>'+stdverw;
      a='[LZ]';b='[Dateiname]';c='[URI]';D=new Array('all','aural','braille','embossed','handheld','print','projection','screen','tty','tv');
      a_t=lz;
      b_t='Dateiname der Style Datei (bei relativen Pfadangaben).';
      c_t='Komplette URI (URL) der Style Datei, die geladen werden soll.';
      D_t=new Array('Die Style Sheets gelten fr alle Medien.','Die Style Regeln kommen nur bei Medien, die Sprachausgabe ermglichen (wie z.B. Sprachsynthesizern) zur Anwendung.','Style Sheets fr taktile Ausgabegerte, also z.B. Braille Lesegerte zur Erzeugung von Blindenschrift.','Styles fr Braille Drucker.',"Style Sheets speziell fr mobile Gerte, wie Mobiltelefone, PDA's etc. . Durch diese Angabe kann z.B. bercksichtigt werden, dass mobile Ausgabegerte hufig nur monochrome Darstellung erlauben und ber eine kleine Anzeigeflche verfgen.",'Style Sheets fr die Druckausgabe.','Hier sind alle Medien angesprochen, die die Ausgabe durch Projektion erzeugen, wie z.B. Beamer oder Tageslichtprojektoren.','Diese Angabe bezieht sich vor allem auf Computerbildschirme, die Farbdarstellung erlauben.','Mit tty sind Ausgabegerte gemeint, die ber begrenzte Darstellungsmglichkeiten verfgen. Beispiele hierfr wren Terminals oder Fernschreiber, die nur Zeichen darstellen knnen.','Hiermit sind Televisionsgerte angesprochen, also Gerte, die blicherweise eine etwas niedrigere Auflsung haben, aber Farbdarstellung und Audioausgabe erlauben.');
    return}

    if(it=='css2Page') {
      ti='CSS2 At-Regel: @page';
      bt='<P>Style Sheet Regeln fr die visuelle Ausgabe orientieren sich nicht an bestimmten Darstellungsformaten, also an fest definierten Seitengren wie sie z.B. beim Druck vorliegen. Grundstzlich bedarf es auch keiner besonderen Bercksichtigung fester Ausgabeformate, da es die Aufgabe des Browsers ist, das Layout an das ausgewhlte Format, also auch an ein bestimmtes Druckformat anzupassen.<BR> In CSS2 wurden jedoch einige Eigenschaften neu aufgenommen, die speziell fr eine seitenorientierte Ausgabe gedacht sind. Dabei handelt es sich um die Eigenschaften fr die Angabe des Seitenformats ('+verweis('size')+'), fr die Ausgabe von Seitenmarkierungen ('+verweis('marks')+') und fr die Steuerung des Seitenumbruchs ('+verweis('page-break-before')+', '+verweis('page-break-after')+', '+verweis('page-break-inside')+', '+verweis('orphans')+', '+verweis('widows')+'). Die Anwendung der in einer @page Regel enthaltenen Style Deklarationen kann dabei gezielt auf bestimmte Elemente beschrnkt werden ('+verweis('page')+'). Zustzlich ist es mglich, unterschiedliche Style Deklarationen fr die erste Seite bzw. fr die linken oder rechten Seiten einer doppelseitigen Ausgabe zu definieren.</P>'+stdverw;
      a='[LZ]';b='[ID]';c=':first';d=':left';e=':right';f='[Style Deklaration]';
      a_t=lz;
      b_t='ID bzw. Name der @page Regel.<BR>Einer @page Regel kann ein spezieller Name zugewiesen werden. Enthlt eine "normale" Style Regel die Eigenschaft '+verweis('page')+' mit dem Namen der @page Regel, dann kommt bei seitenorientierter Ausgabe zustzlich die in der @page Regel festgelegte Deklaration zur Anwendung.';
      c_t='Die @page Regel gilt nur fr die erste Seite des Dokuments.';
      d_t='Die in der @page Regel enthaltenen Formatierungsanweisungen sollen bei doppelseitiger Ausgabe fr alle linken Seiten gelten.';
      e_t='Die Style Deklarationen kommen nur bei allen rechten Seiten einer doppelseitiger Ausgabe zur Anwendung.';
      f_t='Style Sheet Deklarationen (s. '+verweis(top.css2Deklaration[1])+'), die bei seitenorientierter Ausgabe angewendet werden. Diese Deklarationen werden den betreffenden Elementen zustzlich zu den allgemein geltenden Style Deklarationen zugewiesenen. Da in @page Regeln keine Selektoren vorkommen knnen, sind hier im Allgemeinen nur die Eigenschaften '+verweis('size')+', '+verweis('marks')+', '+verweis('page-break-before')+', '+verweis('page-break-after')+', '+verweis('page-break-inside')+', '+verweis('orphans')+' und '+verweis('widows')+' sinnvoll.';
    return}

    if(it=='css2Medien') {
      ti='CSS2 At-Regel: @media';
      bt='<P>Eine wichtige Eigenschaft von CSS2 ist, dass Style Sheets fr unterschiedliche Ausgabemedien definiert werden knnen. Es gibt z.B. spezielle Style Eigenschaften fr die Sprachausgabe wie "volume" (Lautstrke) oder "speech-rate" (Sprechgeschwindigkeit). Bei solchen Eigenschaften ist die Unterscheidung zwischen verschiedenen Ausgabemedien offensichtlich. Daneben gibt es aber auch Bedarf, die Werte bestimmter Eigenschaften abhngig vom Ausgabemedium einzustellen. Beispielsweise kann eine Hintergrundgrafik bei Druckausgabe ziemlich strend wirken, oder bestimmte Farbkombinationen bei monochromer Darstellung einen zu geringen Kontrast ergeben. Im ersten Fall knnte man die Hintergrundgrafik bei Druckausgabe ganz ausschalten, im zweiten Fall fr die monochrome Ausgabe andere Farben bzw. Grautne verwenden.<BR>Die @media Regel bietet die Mglichkeit, Style Sheets an die Besonderheiten eines Ausgabemediums anzupassen. Natrlich ist auch eine Kombination von allgemeingltigen (fr alle Medien) und speziellen Style Sheets mglich.</P>'+stdverw;
      a='[LZ]';B=new Array('all','aural','braille','embossed','handheld','print','projection','screen','tty','tv');c='[Style&nbsp;Regel]';
      a_t=lz;
      B_t=new Array('Die Style Sheets gelten fr alle Medien.','Die Style Regeln kommen nur bei Medien, die Sprachausgabe ermglichen (wie z.B. Sprachsynthesizern) zur Anwendung.','Style Sheets fr taktile Ausgabegerte, also z.B. Braille Lesegerte zur Erzeugung von Blindenschrift.','Styles fr Braille Drucker.',"Style Sheets speziell fr mobile Gerte, wie Mobiltelefone, PDA's etc. . Durch diese Angabe kann z.B. bercksichtigt werden, dass mobile Ausgabegerte hufig nur monochrome Darstellung erlauben und ber eine kleine Anzeigeflche verfgen.",'Style Sheets fr die Druckausgabe.','Hier sind alle Medien angesprochen, die die Ausgabe durch Projektion erzeugen, wie z.B. Beamer oder Tageslichtprojektoren.','Diese Angabe bezieht sich vor allem auf Computerbildschirme, die Farbdarstellung erlauben.','Mit tty sind Ausgabegerte gemeint, die ber begrenzte Darstellungsmglichkeiten verfgen. Beispiele hierfr wren Terminals oder Fernschreiber, die nur Zeichen darstellen knnen.','Hiermit sind Televisionsgerte angesprochen, also Gerte, die blicherweise eine etwas niedrigere Auflsung haben, aber Farbdarstellung und Audioausgabe erlauben.');
      c_t='Style Sheet Regeln, also komplette Style Angaben mit Selektoren und Deklarationen (s. '+verweis(top.css2Regeln[1])+').';
    return}

    if(it=='css2Font') {
      ti='CSS2 At-Regel: @font-face';
      bt='<P>Die @font-face Regel wurde mit CSS2 neu eingefhrt und ist ein wichtiger Bestandteil der Verbesserungen gegenber CSS1 im Bereich Auswahl und Darstellung von '+top.glv(3,"Font","Fonts")+'. Neben einem verfeinerten Auswahlverfahren wurden die Grundlagen fr die Font Synthese geschaffen sowie der Download von Fonts vorgesehen.</P>'+
      '<P>Eine grundstzliche Schwierigkeit bei der Auswahl eines passenden Font besteht darin, dass kein einheitliches System zur Benennung von Fonts existiert. Fontnamen werden im allgemeinen aus einem Namen fr die Font Familie und ggf. aus Zustzen, die z.B. einen bestimmten Stil ("kursiv") oder ein bestimmtes Schriftgewicht bzw. eine Schriftstrke ("bold") bezeichnen, gebildet. Die Zustze kennzeichnen also bestimmte Abweichungen von der Grundform eines Font. Grundform und Varianten bilden eine Font Familie, deren Zusammengehrigkeit an einem gemeinsamen Familiennamen zu erkennen ist. <BR>'+
      'Eine Fontvariante, die geneigte Schriftzeichen enthlt, kann so unterschiedliche Bezeichnungen wie "Kursiv" "Oblique", "Slanted", "Incline", "Cursive" oder "Italic" in ihrem Namen fhren. hnlich verhlt es sich bei fett dargestellten Schriftsymbolen. Bezeichnungen wie "Regular", "Roman", "Book", "Medium", "Semi-" oder "Demi-Bold", "Bold", "Heavy" und "Black" sind gebruchlich, sagen aber wenig ber ihre tatschliche Schriftstrke aus. <BR>'+
      'Aufgrund dieser uneinheitlichen bzw. ungenauen Bezeichnungen verwenden die CSS Spezifikationen ein anderes Modell zur Identifizierung von Fonts: Zunchst wird der Name der Grundform eines Font ohne irgendwelche Zustze, also der Font Familienname mit der Style Sheet Eigenschaft font-family festgehalten. Von dieser Grundform abweichende Varianten werden dann durch die Eigenschaften font-style, font-variant, font-weight, font-size und font-stretch beschrieben. Ausschlielich diese 6 Eigenschaften stehen dem Style Sheet Autor zur Verfgung, um einen gewnschten Font festzulegen.</P>'+
      '<P>Bei der Auswahl eines passenden Font vergleicht der Browser die Angaben der genannten Style Sheet Eigenschaften mit den Charakteristiken der Fonts, die ihm zur Verfgung stehen. CSS2 ist die erste Style Sheet Empfehlung, die festhlt, durch welche Charakteristiken ein Font beschrieben wird. Sie sind in sogenannten Font Deskriptoren definiert.<BR>'+
      'Die @font-face Regel hat nun die Funktion, dem Browser einen Font mit seinen charakteristischen Eigenschaften bekannt zu machen. Dazu mu die Regel die Angabe mindestens einer Datenquelle enthalten, aus der der Browser die Informationen entnehmen kann, die er zur Darstellung eines Font bentigt. Die Datenquelle wird im Deskriptor "src" benannt. Die Charakteristiken dieses Font knnen nun mittels der brigen Deskriptoren beschrieben werden. Fr je einen Font wird eine @font-face Regel bentigt.<BR>'+
      'Ein Browser, der CSS2 untersttzt, legt fr jeden Font einen Datensatz von Font Deskriptoren in einer Art Datenbank an. Diese Daten wertet er bei der Bestimmung eines passenden Font aus. Fr den Fall, dass kein vorhandener Font passt, sieht CSS2 weitere Mglichkeiten vor, um einen Font zu finden, der dem gewnschten zumindest mglichst nahe kommt.<BR>'+
      'Die insgesamt vier zur Verfgung stehenden Verfahren, die bei der Bestimmung bzw. Erzeugung eines Font eine Rolle spielen, sind im Folgenden zusammengefasst: <BR>'+
      '<DL><DT>Auswahl nach Name:</DT><DD>Die Auswahl des Fonts erfolgt anhand der Angabe in der Style Eigenschaft family-name und den brigen Style Eigenschaften fr Fonts (Zu beachten ist, dass Fonts mit gleichem Namen auf unterschiedlichen Plattformen und abhngig vom Ersteller des Font nicht exakt bereinstimmen mssen). Das ist der einzige Mechanismus, der in CSS1 zur Verfgung steht.</DD><DT>Intelligente Font Auswahl:</DT><DD>Bei diesem Mechanismus wird ein vorhandener Font, der dem gewnschten am hnlichsten ist verwendet. Dieses Verfahren wertet Font Charakteristiken aus, die u.a. in Font Deskriptoren ausgedrckt werden knnen.</DD><DT>Synthese eines Fonts:</DT><DD>Bei diesem Verfahren generiert der Browser einen Font der dem geforderten nicht nur hnlich ist, sondern auch dessen Maangaben verwendet.</DD><DT>Font Download:</DT><DD>Eine weitere Mglichkeit besteht darin, einen Font aus dem Internet zu laden. Hierbei kann es natrlich zu gewissen Verzgerungen kommen.</DD></DL>Die Entscheidung, welcher der Mechanismen zum Zuge kommt, erfolgt nach einem festgelegten Modus.</P>'+stdverw;
      a='[LZ]';b='[Font-Deskription]';
      a_t=lz;
      b_t='Eine Font-Deskription enthlt Angaben ber eine chrakteristische Eigenschaft eines Font, die der Browser mit den Font Spezifikationen des Style Sheet Autors vergleicht, um einen Font auszuwhlen (s. '+verweis(top.css2Deskription[1])+'). ';
    return}

    if(it=='css2Regel') {
      ti='CSS2 Style Regel: Aufbau einer Style Regel';
      bt='<P>Style Sheet Regeln legen im Einzelnen fest, welche Elemente vom Browser wie auszugeben sind. Eine Regel mu dazu einen Bezug zu einem Element bzw. zu einer Gruppe von Elementen des Dokuments herstellen und die auf diese Elemente anzuwendenden Style Vorschriften enthalten.<BR>Die zu formatierenden Elemente werden durch sog. Selektoren identifiziert. Die Style Angaben erfolgen in Form einer Aufzhlung von sog. Deklarationen, wobei jede Deklaration eine einzelne Darstellungs- bzw. Ausgabeeigenschaft festlegt.<BR>Alle Deklarationen, die dem angegebenen Selektor zugeordnet werden, sind durch eine geschweifte Klammer zusammengefasst. Die einzelnen Deklarationen werden mit einem Semikolon voneinander getrennt.</P><P>Mehrere Selektoren knnen durch ein Komma getrennt aufgelistet werden. Dadurch werden die nachfolgenden Deklarationen allen aufgelisteten Selektoren zugeordnet. Wenn ein Satz von Deklarationen einer ganzen Gruppe von Selektoren in einer einzigen Style Regel zugewiesen werden, spricht man von Gruppierung.</P><P><img src="../../../pics/ueb.gif" width="19" height="20" border="0" alt="zum bergeordneten Diagramm"> '+verweis(top.css2AllgSyntax[1])+', '+verweis(top.css2AtRegeln[3])+'</P>';
      a='[Selektor]';b='[LZ]';c='[Deklaration]';
      a_t='An dieser Stelle sind ein oder mehrere Selektoren einzufgen. Es gibt verschiedene Arten von Selektoren und mehrere Mglichkeiten diese zu kombinieren. Im Diagramm "'+verweis(top.css2Selek[1])+'" und den dazugehrigen Unterdiagrammen sind alle in CSS2 mglichen Varianten dargestellt.';
      b_t=lz;
      c_t='Deklarationen stellen den Teil einer Style Regel dar, die die eigentlichen Style Angaben enthalten (s. '+verweis(top.css2Deklaration[1])+').';
    return}

    if(it=='css2Deklaration') {
      ti='CSS2 Deklaration: Aufbau einer Style Deklaration';
      bt='<P>Eine Deklaration legt eine einzelne Ausgabeeigenschaft eines Elements oder einer Gruppe von Elementen des Dokuments fest. Sie besteht aus einer Eigenschaft und dem dazugehrigen Wert. Eigenschaft und Wert sind durch einen Doppelpunkt getrennt.<BR>Eine Eigenschaft wird durch ein in der Style Sheet Spezifikation festgelegtes Schlsselwort angegeben. In CSS2 sind 122 Eigenschaften definiert. Jeder dieser Eigenschaften knnen bestimmte Werte zugewiesen werden. Die mglichen Werte sind entweder einer vorgegebenen Liste zu entnehmen oder sie sind auf einen definierten Wertebereich beschrnkt. Manche Werte bentigen auerdem die Angabe einer Greneinheit.<BR>Die Anwendbarkeit von Eigenschaften auf Elemente des Dokuments kann vom Typ des Elements abhngen. So kann z.B. die Eigenschaft "text-align", die die Textausrichtung innerhalb eines Elements steuert, nur fr block-level Elemente vergeben werden.<BR>Fr die meisten Eigenschaften sind Standardwerte definiert, auf die ein Browser zurckgreifen kann, wenn eine entsprechende Deklaration im Style Sheet fehlt.</P><P><img src="../../../pics/ueb.gif" width="19" height="20" border="0" alt="zum bergeordneten Diagramm">'+verweis(top.css2Regeln[1])+', '+verweis(top.css2AtRegeln[4])+'</P>';
      a='[Eigenschaft]';b='[LZ]';c='[Wert]';d='important';
      a_t='Eine in der CSS2 Spezifikation enthaltenen Style Eigenschaft. Die Eigenschaften sind meist klein geschrieben, die Schreibweise ist jedoch beliebig. Eigenschaften knnen also klein- oder gro geschrieben werden.';
      b_t=lz;
      c_t='Wert steht fr die spezielle Einstellung einer Eigenschaft. Z.B. kann die Eigenschaft "font-size", also die Schriftgre (Schriftgrad) auf einen Wert von 12 Pixel (12px) eingestellt werden.<BR>Gro- bzw. Kleinschreibung spielt bei Werten nur in Ausnahmefllen eine Rolle, wie z.B. dann wenn eine URI (URL) als Wert vorkommt.';
      d_t='Es kann vorkommen, dass einem Element eine bestimmte Style Eigenschaft in mehreren Deklarationen mit unterschiedlichen Werten zugewiesen wird. In solchen Fllen werden die konkurrierenden Deklarationen anhand bestimmter Priorittsregeln ausgewertet. Eine Mglichkeit, Einflu auf die Prioritt einer Deklaration zu nehmen, besteht in der Verwendung des Schlsselworts "!important" (mit oder ohne Leerzeichen zwischen "!" und "important"). Einzelheiten zu diesem Sachverhalt werden im Abschnitt Kaskadierung erlutert.';
    return}
    // Diagrammfehler: Leerzeichen fehlt bei Kombinatorzeichen!!
    if(it=='css2Selektor') {
      ti='CSS2 Selektoren: Allgemeine Selektorsyntax';
      bt='<P>Ein Selektor einer Style Sheet Regel ordnet die Deklarationen (Darstellungs- bzw. Ausgabeeigenschaften) einem bestimmten Element oder einer Gruppe von Elementen des Dokuments zu. Es gibt eine Reihe von unterschiedlichen Selektortypen und Mglichkeiten diese zu neuen Selektoren zu kombinieren.<BR>Von einfachen Selektoren spricht man, bei Typ-, Universal-, ID-, Klassen-, Attribut- und Pseudoklassenselektoren sowie bei Selektoren, die aus diesen durch Anhngen (ohne Leerzeichen) gebildet werden. Kombinierte Selektoren sind einfache Selektoren verbunden durch die Kombinatoren Leerzeichen, ">" und "+".</P><P><img src="../../../pics/ueb.gif" width="19" height="20" border="0" alt="zum bergeordneten Diagramm"> '+verweis(top.css2Regeln[1])+'</P>';
      a='[ETyp]';b='*';C=new Array('#[Id]','.[Klasse]','[AT-Sel]','[PK-Sel]');D=new Array('[&nbsp;]','>','+');e='[LZ]';f='[PE-Sel]';
      a_t='Ein Selektor fr einen Elementtyp. Dieser Selektor besteht lediglich aus der Angabe des Typs bzw. Namens eines Elements, in HTML also z.B. H1, DIV, A etc. . Style Sheet Deklarationen werden bei dieser Art von Selektor auf alle im Dokument vorhandenen Elemente dieses Typs angewendet.<BR>Zu beachten ist, dass der Elementtyp ohne die Markupzeichen "&lt;" und "&gt;" geschrieben wird. Gro- und Kleinschreibung spielt beim Typselektor in Style Sheets fr HTML Dokumente keine Rolle, da HTML bei Elementen (und Attributnamen) keine Unterschiede macht. In XML Dokumenten muss allerdings die genaue Schreibweise beachtet werden.';
      b_t='Der Stern ist der sog. Universalselektor. Mit dem Universalselektor knnen alle Elemente ausgwhlt werden, er gilt also fr jedes Element eines Dokuments, unabhngig vom Elementtyp.<BR>Wenn der Universalselektor mit ID-, Klassen-, Attribut- oder Pseudoklassenselektoren zu einem einfachen Selektor kombiniert wird, kann stattdessen auch eine abgekrzte Schreibweise unter Auslassung des Universalselektors verwendet werden.';
      C_t=new Array('Ein ID - Selektor (ID = Identifier). Fr HTML Elemente knnen mittels des id bzw. name Attributs Namen vergeben werden. Namen bzw. ID'+"'"+'s mssen eindeutig sein, d.h. sie drfen im Dokument nur einmal vorkommen. Diese Namen knnen dazu benutzt werden, um einzelnen Elementen Style Sheet Deklarationen zuzuweisen.<BR>Ein ID - Selektor setzt sich aus dem Gatter-Zeichen "#" und der daran anschliessenden ID zusammen. Die Schreibweise der ID muss exakt mit der Schreibweise des Attributwerts des Attributs id bereinstimmen.','Ein Klassenselektor. Auf analoge Weise zum id bzw. name Attribut lsst sich das Attribut class verwenden. Mit dem class Attribut knnen jedoch mehrere Elemente - auch unterschiedlichen Typs - dadurch zu einer Guppe bzw. Klasse von Elementen zusammengefasst werden, indem diesen der gleiche Klassenname zugewiesen wird. Fr Elemente mit dem gleichen Klassennamen knnen dann gemeinsame Style Sheet Eigenschaften vergeben werden. Dazu wird in der Style Sheet Regel ein Klassenselektor verwendet. Dieser beginnt mit einem Punkt "." an den unmittelbar danach der Klassenname angehngt wird. Bei Klassennamen muss auf die exakte Schreibweise geachtet werden.','Ein Attributselektor (in CSS2 neu eingefhrt). Bei Attributselektoren werden Elementattribute zur Auswahl der zu formatierenden Elemente herangezogen (s. '+verweis(top.css2Selek[2])+').','Ein Pseudoklassenselektor. Diese Art von Selektor erlaubt eine Zuordnung von Style Deklarationen zu Bestandteilen eines Dokuments, die nicht ber den Elementtyp oder ber Attribute bestimmbar sind (s. '+verweis(top.css2Selek[3])+').');
      D_t=new Array('Die eckigen Klammern stehen fr mindestens ein Leerzeichen. Leerzeichen sind einfache Leerzeichen ("space", Unicode: 32), Tabulatorzeichen ("tab", Unicode: 9), Zeilenvorschub ("line feed", Unicode:10), Wagenrcklauf ("carriage return", Unicode: 13) und Seitenvorschub ("form feed", Unicode: 12).<BR>Durch Einfgen eines Leerzeichens zwischen zwei einfachen Selektoren wird ein neuer (kombinierter) Selektor - hier als Kontextselektor* bezeichnet - gebildet. Ein Kontextselektor z.B. H1&nbsp;EM passt zu einem Element EM, wenn dieses innerhalb eines bergeordneten Elements H1, also in dessen Kontext steht (oder ein Nachkomme dieses Elements ist). Ein Kontextselektor bercksichtigt also die Verschachtelungshierarchie von Elementen, wobei es gleichgltig ist, auf welcher Verschachtelungsebene das passende Element steht. Im genannten Beispiel wrde EM auch dann als passend erkannt, wenn es z.B. innerhalb eines ABBR Elements steht, welches selbst in einem H1 enthalten ist.<BR>Ein Kontextselektor beginnt in der Reihenfolge von links nach rechts mit dem Element der obersten Verschachtelungsstufe und wird mit den jeweils untergeordneten Elementen fortgesetzt. Die Style Sheet Deklarationen finden nur auf das letzte Element des Selektors Anwendung.<P class="bem">* In der Spezifikation zu CSS2 wird der Selektor "descendent selector" genannt (descendent=Nachkomme). Der Selektor wurde schon in CSS1 eingefhrt, wo er jedoch als "contextual selector" also als Kontextselektor bezeichnet wird. Letztere Bezeichnung wird hier prferiert, weil eine bersetzte Variante von "descendent selector" (Nachkommensselektor?) nicht so gefllig erscheint und weil kein hinreichender Grund vorliegt, einen eingefhrten Begriff zu ndern.</P>',
      'Das "Grer" - Zeichen wird als Kombinator verwendet, um sog. Kindselektoren zu bilden. Ein Kindselektor ist ein Spezialfall des Kontextselektors, da er nur die Kindelemente anspricht. (Ein Element X ist ein Kindelement von Y, wenn es unmittelbar im Inhalt des Elements Y enthalten ist.)',
      'Mit dem "Plus" - Zeichen kann ein Folgeselektor (in CSS2 als "adjacent sibling selector" bezeichnet) erstellt werden. Ein Folgeselektor gibt eine Reihenfolge von Elementen bzw. einfachen Selektoren vor, die eintreten muss, damit ein Element ausgewhlt wird. Die Elemente stehen dabei auf der gleichen Verschachtelungsebene. Mit dem Folgeselektor H1&nbsp;>&nbsp;H2 knnte man z.B. allen H2 Elementen, die unmittelbar hinter H1 Elementen stehen, spezielle Style Sheets zuweisen.<BR>Wie bei allen kombinierten Selektoren werden die Style Sheet Deklarationen nur auf das letzte Element des Selektors angewendet.');
      e_t=lz;
      f_t='Ein Pseudoelementselektor. Dieser Selektor erlaubt es, Style Sheets fr Teile eines Elements festzulegen (s. '+verweis(top.css2Selek[4])+' .';
    return}

    if(it=='css2AttrSel') {
      ti='CSS2 Selektoren: Attributselektoren';
      bt='<P>Attributselektoren wurden in CSS2 neu eingefhrt. Bei dieser Art von Selektoren werden Elementattribute bei der Auswahl der zu formatierenden Elemente bercksichtigt.<BR>Ein Attributselektor besteht in seiner einfachsten Form aus einem in eckigen Klammern eingeschlossenen Attributnamen. In dieser Form passen diejenigen Elemente eines Dokuments zum Selektor, bei welchen das angegebene Attribut gesetzt bzw. vergeben wurde. Der Attributwert ist dabei ohne Belang.<BR>In der ausfhrlicheren Form wird der verwendete Wert eins Attributs zur Auswahl herangezogen. Selektoren dieser Art werden beginnend mit einer ffnenden eckigen Klammer, dem Attributnamen, einem anschliessenden speziellen Operator (s. nebenstehende Erluterungen) inklusive eines Attributwerts und einer schliessenden eckigen Klammer notiert.</P><P><img src="../../../pics/ueb.gif" width="19" height="20" border="0" alt="zum bergeordneten Diagramm"> '+verweis(top.css2Selek[1])+'</P>';
      a='[LZ]';b='[Attribut]';c='=';d='~=';e='|=';f='[Wert]';g='[Zeichen]';
      a_t=lz;
      b_t='Hier muss das Attribut, also der Attributname stehen.';
      c_t='Der Operator "=" bewirkt, dass nur die Elemente ausgewhlt werden, bei denen das genannte Attribut genau auf den angegebenen Wert gesetzt wurde.';
      d_t='Bei bestimmten Attributen ist die Angabe mehrerer, durch Leerzeichen getrennte Attributwerte mglich. Ein Attributselektor mit dem Operator "~=" passt dann zu einem Element, wenn dieses mit dem Attribut ausgezeichnet wurde und der im Selektor angegebene Wert in der Liste der Attributwerte des Elements enthalten ist.';
      e_t='Mit dem Operator "|=" werden Elemente mit Attributen deren Werte einen Bindestrich enthalten knnen, selektiert. Der im Selektor bezeichnete Wert mu mit der vor dem Bindestrich stehenden Zeichenfolge bereinstimmen.<BR>Der Operator wurde vor allem fr das Attribut lang eingefhrt. Fr dieses Attribut gibt es Attributwerte mit Sprachsekundrkodes z.B. en-US, en-IE, die zur Unterscheidung regionaler Sprachbesonderheiten verwendet werden knnen. Der Attributselektor kann diese Sekundrcodes herausfiltern, so dass nur der Primrkode bercksichtigt wird.';
      f_t='Der Wert das Attributs, dar als Kriterium zu Elementauswahl dient. Ein Attributwert der einen Namen oder ein Schlsselwort bezeichnet, bentigt keine umgebenden Anfhrungszeichen. Gleichwohl sind sie auch in diesem Fall erlaubt.';
      g_t='Einige Attributwerte drfen Leerzeichen und bestimmte Sonderzeichen enthalten. Solche Attributwerte sollten immer in Anfhrungszeichen eingschlossen werden, um Eindeutigkeit zu gewhrleisten.';
    return}

    if(it=='css2PKSel') {
      ti='CSS2 Selektoren: Pseudoklassenselektoren';
      bt='<P>Diese Art von Selektoren erlauben eine Zuordnung von Style Deklarationen zu Bestandteilen eines Dokuments, die nicht ber den Elementtyp oder ber Attribute bestimmbar sind. Mit Selektoren fr Pseudoklassenelemente ist es beispielsweise mglich, die Darstellung eines Elements abhngig von bestimmten Aktionen des Users dynamisch zu verndern. Pseudoklassenelemente werden daher nicht explizit im Dokument deklariert, sondern von Browsern gewissermaen automatisch eingefgt bzw. verwaltet.</P><P>Pseudoklassenselektoren beginnen mit einem Doppelpunkt, an welchen sich ein vordefiniertes Schlsselwort unmittelbar anschliet.</P><P><img src="../../../pics/ueb.gif" width="19" height="20" border="0" alt="zum bergeordneten Diagramm"> '+verweis(top.css2Selek[1])+'</P>';
      A=new Array(':first-child',':link',':visited',':hover',':active',':focus');b=':lang';c='[LZ]';d='[LC]';
      A_t=new Array('Der :first-child Pseudoklassenselektor passt zu einem Element (unabhngig von seinem Typ), das das erste untergeodnete Element eines anderen Elements ist (das erste Kindelement).',
      'Dieser Pseudoklassenselektor gilt fr Elemente mit Hypertextverweisen (in HTML nur auf A Elemente mit Attribut href anwendbar), die noch nicht aufgerufen (angeklickt) wurden.',
      'Zur "visited" Pseudoklasse zhlen alle Elemente mit Hypertextverweisen, die bereits  aufgerufen (angeklickt) wurden.',
      'Elemente, auf welche z.B. mit dem Mauszeiger gezeigt wird (ohne sie zu aktivieren), passen zur diesem Selektor.',
      'Die "active" Pseudoklasse betrifft alle Elemente, die z.B. durch Drcken der Maustaste aktiviert werden.',
      'Ein ausgewhltes Element, also ein Element welches den Focus hat, passt zu diesem Selektor. Z.B. ist ein Texteingabefeld eines Formulars ausgewhlt, wenn es Eingaben entgegennimmt.');
      b_t='Die Sprache eines Elementtextes kann in verschiedenen Dokumenttypen durch bestimmte Mechanismen angegeben werden. In HTML Dokumenten z.B. wird diese durch Auswertung des META Elements, des Attributs lang ung ggf. durch eine Protokollvariable des http Headers bestimmt. In XML Dokumenten gibt das Attribut xml:lang die Sprache an. Der Selektor ":lang" umfasst alle Elemente der angegebenen Sprache zusammen. Sie wird in Form eines Sprachkodes angegeben (s. [LC]).';
      c_t=lz;
      d_t='Ein Sprachkode gem RFC 1766, z.B. de-AT (s. lang Attribute im (X)HTML Quick Guide).';
    return}

    if(it=='css2PESel') {
      ti='CSS2 Selektoren: Selektoren f&uuml;r Pseudoelemente';
      bt='<P>Pseudoelemente sind Teile eines Elements und werden wie Pseudoklassen von Browsern, gewissermaen automatisch erstellt.<BR>Ein Selektor fr ein Pseudolement wird durch einen Doppelpunkt ":" gefolgt vom Pseudoelementnamen angegeben.</P><P><img src="../../../pics/ueb.gif" width="19" height="20" border="0" alt="zum bergeordneten Diagramm"> '+verweis(top.css2Selek[1])+'</P>';
      A=new Array(':first-line',':first-letter',':before',':after');
      A_t=new Array('Dieses Pseudolelement selektiert die erste Zeile eines Elements. Das Ende der ersten Zeile hngt von verschiedenen Einstellungen ab (z.B. Fenster- und Schriftgre) und kann daher erst bei der Ausgabe vom Browser bestimmt werden.<BR>Ein Pseudoelelement wird im Prinzip wie ein inline-level Element behandelt, wobei zustzliche Einschrnkungen gelten. So knnen nur die folgenden Eigenschaften angewendet werden: alle "font"- und "background"- Eigenschaften, sowie die aus folgender Liste: "color", "word-spacing", "letter-spacing", "text-decoration", "vertical-align", "text-transform", "text-shadow", "line-height" und "clear".',
      'Hiermit ist der erste Buchstabe des Inhalts eines Elements, welches ein block-level Element sein mu, angesprochen. Auf dieses Pseudoelement sind alle "margin"-, "padding"-, "border", "background"- und "font"- Eigenschaften sowie die folgenden anwendbar: "color", "text-decoration", "text-transform", "text-shadow", "vertical-align" (nur wenn "float" auf "none" eingestellt ist), "line-height", "float" und "clear".',
      'Das Pseudoelement "before" kann dazu verwendet werden, um vor dem Inhalt eines Elements einen vom Browser generierten Einschub einzufgen (s. '+verweis('content')+').',
      'Hiermit kann an den eigentlichen Elementinhalt weiterer Inhalt angehngt werden (s. '+verweis('content')+').');

    return}

    if(it=='css2Deskription') {
      ti='CSS2 Font Deskription';
      bt='Ein Deskriptor beschreibt eine Charakteristik eines Font. Deskriptoren stehen ausschlielich innerhalb einer @font-face Regel (s. '+verweis(top.css2AtRegeln[5])+').<BR>Zu beachten ist, dass bei fehlender Angabe eines Deskriptors i.A. Standardwerte zum Tragen kommen.';
      a='[Deskriptor]';b='[LZ]';c='[Wert]';
      a_t='Einer von 24 in der CSS2 Spezifikation vorgesehenen Deskiptoren. Deskriptoren sind meist klein geschrieben, die Schreibweise ist jedoch beliebig.';
      b_t=lz;
      c_t='Wert steht fr die spezielle Einstellung des Deskriptors. An dieser Stelle ist je nach Deskriptor auch eine Liste von Einstellungen mglich.<BR>Gro- bzw. Kleinschreibung spielt hier nur in Ausnahmefllen eine Rolle, wie z.B. dann, wenn eine URI (URL) als Wert vorkommt.';
    return}
  }
  alert('Fehler in Datei css2specdat.js');
}