// globales Browser-Objekt
var isBr = new browserTyp()

// Browsertyp feststellen
function browserTyp() {
        var ver = parseInt(navigator.appVersion)
        var hersteller = navigator.appName.toLowerCase()
        this.ie4up = ((hersteller.indexOf('microsoft') != -1) && (ver >= 4))
        this.nc4up = ((hersteller.indexOf('netscape') != -1) && (ver >= 4))
}

//
// With minor modifications by Reinhard Jaeger:
/******************************************************************/
// Dynamic Layer Object
// Copyright 1998 Dan Steinman
// Available at the Dynamic Duo (http://www.dansteinman.com/dynduo/)
// February 1998.  Last Updated July 6, 1998.
// In order to use this code you must keep this disclaimer
/******************************************************************/
function DynLayer(id) {
        if (isBr.nc4up) {
                if (DynLayer.arguments.length > 1) {
                        var layerStr = ""
                        for (i=DynLayer.arguments.length-1; i>=1; i--) {
                                layerStr += "document."+DynLayer.arguments[i]+"."
                        }
                        layerStr += "document."+id
                        this.css = eval(layerStr)
                }
                else this.css = document.layers[id]
                this.x = this.css.left
                this.y = this.css.top
        }
        else if (isBr.ie4up) {
                this.css = document.all[id].style
                this.x = this.css.pixelLeft
                this.y = this.css.pixelTop
        }
        this.moveTo = DynLayerMoveTo
        this.moveBy = DynLayerMoveBy
        this.show = DynLayerShow
        this.hide = DynLayerHide
        this.addon = DynLayerAddon
}
/******************* CORE ******************************/
function DynLayerMoveTo(x,y) {
        if (x!=null) {
                this.x = x
                this.css.left = this.x
        }
        if (y!=null) {
                this.y = y
                this.css.top = this.y
        }
}
function DynLayerMoveBy(x, y) {
        this.moveTo(this.x + x, this.y + y)
}
function DynLayerShow() {
        this.css.visibility = (isBr.nc4up)? "show" : "visible"
}
function DynLayerHide() {
        this.css.visibility = (isBr.nc4up)? "hide" : "hidden"
}
/******************* ADDITIONAL ******************************/
function DynLayerAddon(id) {
        this.w = (isBr.nc4up)? this.css.clip.width : this.css.pixelWidth
        this.h = (isBr.nc4up)? this.css.clip.height : this.css.pixelHeight
        //this.setDim = DynLayerSetDimensions

        this.doc = (isBr.nc4up)? this.css.document : document
        this.event = (isBr.nc4up)? this.css : document.all[id]
        if (isBr.nc4up) this.event.captureEvents(Event.MOUSEDOWN | Event.MOUSEUP)

        this.obj = id + "DynLayer"
        eval(this.obj + "=this")

        this.slideInit = DynLayerSlideInit
        this.clipInit = DynLayerClipInit
//        this.wipeInit = DynLayerWipeInit

        this.setBGColor = DynLayerSetBGColor
        this.write = DynLayerWrite
        this.flash = DynLayerFlash
}

function DynLayerSetBGColor(color) {
        if (isBr.nc4up) this.doc.bgColor = color
        else if (isBr.ie4up) this.css.backgroundColor = color
}
/******************* SLIDING ******************************/
function DynLayerSlideInit() {
        this.slideTo = DynLayerSlideTo
        this.slideBy = DynLayerSlideBy
        this.slideStart = DynLayerSlideStart
        this.slide = DynLayerSlide
}
function DynLayerSlideTo(endx,endy,inc,wait,fn) {
        if (endx==null) endx = this.x
        if (endy==null) endy = this.y
        var distx = endx-this.x
        var disty = endy-this.y
        this.slideStart(endx,endy,distx,disty,inc,wait,fn)
}
function DynLayerSlideBy(distx,disty,inc,wait,fn) {
        var endx = this.x + distx
        var endy = this.y + disty
        this.slideStart(endx,endy,distx,disty,inc,wait,fn)
}
function DynLayerSlideStart(endx,endy,distx,disty,inc,wait,fn) {
        if (this.slideActive) return
        var num = Math.sqrt(Math.pow(distx,2) + Math.pow(disty,2))/inc
        var dx = distx/num
        var dy = disty/num
        if (!fn) fn = null
        this.slideActive = true
        this.slide(dx,dy,endx,endy,num,1,wait,fn)
}

function DynLayerSlide(dx,dy,endx,endy,num,i,wait,fn) {
        if (!this.slideActive) return
        if (i++ < num) {
                this.moveBy(dx,dy)
                setTimeout(this.obj+".slide("+dx+","+dy+","+endx+","+endy+","+num+","+i+","+wait+",\""+fn+"\")",wait)
        }
        else {
                this.moveTo(endx,endy)
                this.slideActive = false
                eval(fn)
        }
}

/******************* CLIPPING ******************************/
function DynLayerClipInit(clipTop,clipRight,clipBottom,clipLeft) {
        this.clipTo = DynLayerClipTo
        this.clipBy = DynLayerClipBy
        this.clipValues = DynLayerClipValues
        if (isBr.ie4up) {
                if (arguments.length==4) this.clipTo(clipTop,clipRight,clipBottom,clipLeft)
                else this.clipTo(0,this.w,this.h,0)
        }
}

function DynLayerClipTo(t,r,b,l) {
        if (t==null) t = this.clipValues('t')
        if (r==null) r = this.clipValues('r')
        if (b==null) b = this.clipValues('b')
        if (l==null) l = this.clipValues('l')
        if (isBr.nc4up) {
                this.css.clip.top = t
                this.css.clip.right = r
                this.css.clip.bottom = b
                this.css.clip.left = l
        }
        else if (isBr.ie4up) this.css.clip = "rect("+t+"px "+r+"px "+b+"px "+l+"px)"
}

function DynLayerClipBy(t,r,b,l) {
        this.clipTo(this.clipValues('t')+t,this.clipValues('r')+r,this.clipValues('b')+b,this.clipValues('l')+l)
}

function DynLayerClipValues(which) {
        if (isBr.ie4up) var clipv = this.css.clip.split("rect(")[1].split(")")[0].split("px")
        if (which=="t") return (isBr.nc4up)? this.css.clip.top : Number(clipv[0])
        if (which=="r") return (isBr.nc4up)? this.css.clip.right : Number(clipv[1])
        if (which=="b") return (isBr.nc4up)? this.css.clip.bottom : Number(clipv[2])
        if (which=="l") return (isBr.nc4up)? this.css.clip.left : Number(clipv[3])
}

/******************* MISCELLANOUS ******************************/
function DynLayerWrite(html) {
        if (isBr.nc4up) {
                this.doc.open()
                this.doc.write(html)
                this.doc.close()
        }
        else if (isBr.ie4up) {
                this.event.innerHTML = html
        }
}

function DynLayerFlash(n,i,fn) {
        if (i++ <= n) {
                if (i % 2 == 0) this.show()
                else this.hide()
                setTimeout(this.obj+".flash("+n+","+i+",'"+fn+"')",400)
        }
        else {
                eval(fn)
        }
}