function css1SpecDat(it) {
  // Umlaute konvertieren!!
  var stdverw='<P><img src="../../../pics/ueb.gif" width="19" height="20" border="0" alt="zum bergeordneten Diagramm"> '+verweis(top.css1StyleSheet[1])+'</P>';
//  var lz='Dieses Krzel steht fr optionale (kein, ein oder mehrere) Leerzeichen. Mit Leerzeichen sind hier einfache Leerzeichen ("space", Unicode: 32), Tabulatorzeichen ("tab", Unicode: 9), Zeilenvorschub ("line feed", Unicode:10), Wagenrcklauf ("carriage return", Unicode: 13) und Seitenvorschub ("form feed", Unicode: 12) gemeint.';
  with(spOb) {
    if(it=='css1Syntax') {
      ti='CSS1: Aufbau Style Sheets';
      bt='<P>Der Aufbau von Style Sheets gem der Spezifikation CSS1 erfolgt nach dem im Diagramm gezeigten groben Schema. Diese Syntax gilt fr alle Style Sheets, die entweder in separaten Style Dateien abgespeichert sind oder in HTML Dokumenten innerhalb des Elements STYLE stehen.</P>';
      bem='';
      a='[@import]';b='[Style Regel]';
      a_t='[@import] steht fr eventuell vorhandene '+verweis(top.css1StyleSheet[2])+' Anweisungen, durch welche weitere, in separaten Style Sheet Dateien abgespeicherte Style Regeln eingebunden werden knnen. @import Deklarationen mssen vor der ersten Style Sheet Regel stehen, damit sie wirksam werden. Alle @import Anweisungen, die hinter einer Style Sheet Regel notiert sind, werden ignoriert.';
      b_t='Die Style Sheet Regeln enthalten die eigentlichen Formatierungsanweisungen (s. '+verweis(top.css1StyleSheet[3])+').';
      return}
    if(it=='css1Import') {
      ti='CSS1: @import Regel';
      bt='<P>Die @import Anweisung veranlat den Browser dazu, Style Sheets aus einer externen Style Datei zu laden. Damit knnen Style Sheets modular aufgebaut werden.</P><P><img src="../../../pics/ueb.gif" width="19" height="20" border="0" alt="zum bergeordneten Diagramm"> '+verweis(top.css1StyleSheet[1])+'</P>';
      bem='';
      A=['[Dateiname]','url([URL])'];
      A_t=['Der Name einer lokalen Style Datei. Der Name muss in einfachen oder doppelten Anfhrungszeichen notiert werden. Beispiel: @import "styles1.css"','Eine Style Datei mit Angabe einer kompletten Adresse. Die Adresse, hier mit [URL] bezeichnet kann (muss aber nicht) in einfachen oder doppelten Anfhrungszeichen stehen. Beispiel: @import url("http://www.dot.com/styles/std.css")'];
      return}
    if(it=='css1Regel') {
      ti='CSS1: Style Regel';
      bt='<P>Style Sheet Regeln legen im Einzelnen fest, welche Elemente vom Browser wie auszugeben sind. Eine Regel mu dazu einen Bezug zu einem Element bzw. zu einer Gruppe von Elementen des Dokuments herstellen und die auf diese Elemente anzuwendenden Style Vorschriften enthalten.<BR>Die zu formatierenden Elemente werden durch sog. Selektoren identifiziert. Die Style Angaben erfolgen in Form einer Aufzhlung von sog. Deklarationen, wobei jede Deklaration eine einzelne Darstellungs- bzw. Ausgabeeigenschaft festlegt. Alle Deklarationen, die dem angegebenen Selektor zugeordnet werden, sind durch eine geschweifte Klammer zusammengefasst. </P><P><img src="../../../pics/ueb.gif" width="19" height="20" border="0" alt="zum bergeordneten Diagramm"> '+verweis(top.css1StyleSheet[1])+'</P>';
      a='[Selektor]';b=',';c='[Style Deklaration]';d=';';
      a_t='An dieser Stelle ist ein Selektor einzufgen. Es gibt verschiedene Arten von Selektoren und mehrere Mglichkeiten diese zu kombinieren. Im Diagramm "'+verweis(top.css1StyleSheet[4])+'" sind alle in CSS1 mglichen Varianten dargestellt.';
      b_t='Mehrere Selektoren knnen durch ein Komma getrennt aufgelistet werden. Auf diese Weise ist es mglich, mit einer Anweisung mehreren Elementen die gleichen Style Eigenschaften zuzuweisen. Das kann in bestimmten Fllen in kompakteren Style Sheets resultieren.<BR>Wenn ein Satz von Deklarationen einer ganzen Gruppe von Selektoren in einer einzigen Style Regel zugewiesen werden, spricht man von Gruppierung.';
      c_t='Eine Deklaration ist der Teil einer Style Regel, in dem einer Style Eigenschaft ein bestimmter Wert zugewiesen wird (s. '+verweis(top.css1StyleSheet[5])+').';
      d_t='Im Normalfall werden mit einer Style Regel mehrere Eigenschaften eines Elements auf die gewnschten Werte gesetzt. Dazu werden mehrere Deklarationen bentigt, die jedoch mit einem Semikolon voneinander getrennt werden mssen.';
      bem='';
      return}
    if(it=='css1Selektor') {
      ti='CSS1: Selektoren';
      bt='<P>Ein Selektor einer Style Sheet Regel bezeichnet ein bestimmtes Element oder eine Gruppe von Elementen des Dokuments, deren Style Eigenschaften eingestellt werden sollen. Es gibt eine Reihe von unterschiedlichen Selektortypen und Mglichkeiten diese zu neuen Selektoren zu kombinieren.<BR>Von einfachen Selektoren spricht man bei Typ-, ID-, Klassen- und Pseudoklassenselektoren sowie bei Selektoren, die aus diesen durch Aneinanderreihen (ohne Leerzeichen) gebildet werden. In CSS1 gibt es neben diesen auch noch Selektoren fr Pseudoelemente und Kontextselektoren. Letztere werden dadurch gebildet, dass einfache Selektoren getrennt durch Leerzeichen aufgelistet werden.</P><P><img src="../../../pics/ueb.gif" width="19" height="20" border="0" alt="zum bergeordneten Diagramm"> '+verweis(top.css1StyleSheet[3])+'</P>';
      bem='';
      a='[ETyp]';b='#[Id]';c='.[Klasse]';D=[':link',':visited',':active'];e='[LZ+]';F=[':first-line',':first-letter'];
      a_t='Ein Selektor fr einen Elementtyp. Dieser Selektor besteht lediglich aus der Angabe des Typs bzw. Namens eines Elements, in HTML also z.B. H1, DIV, A etc. . Style Sheet Deklarationen werden bei dieser Art von Selektor auf alle im Dokument vorhandenen Elemente dieses Typs angewendet.<BR>Zu beachten ist, dass der Elementtyp ohne die Markupzeichen "<" und ">" geschrieben wird. Gro- und Kleinschreibung spielt beim Typselektor in Style Sheets fr HTML Dokumente keine Rolle, da HTML diesbezglich bei Elementen (und Attributnamen) keine Unterschiede macht. In XML Dokumenten muss allerdings die genaue Schreibweise beachtet werden.';
      b_t='Ein ID - Selektor (ID = Identifier). Fr HTML Elemente knnen mittels des id bzw. name Attributs Namen vergeben werden. Namen bzw. ID\'s mssen eindeutig sein, d.h. sie drfen im Dokument nur einmal vorkommen. Diese Namen knnen dazu benutzt werden, um einzelnen Elementen Style Sheet Deklarationen zuzuweisen.<BR>Ein ID - Selektor setzt sich aus dem Gatter-Zeichen "#" und der daran anschliessenden ID zusammen. Die Schreibweise der ID muss exakt mit der Schreibweise des Attributwerts des Attributs id bereinstimmen.';
      c_t='Ein Klassenselektor whlt in HTML Dokumenten alle Elemente aus, die mit Hilfe des class Attributs zu einer Guppe bzw. Klasse von Elementen zusammengefasst wurden. Die Style Sheet Eigenschaften werden auf alle Elemente dieser Klasse, unabhngig von ihrem Typ angewendet. Der Klassenselektor beginnt mit einem Punkt "." auf den unmittelbar der Klassenname ([Klasse]) folgt. Bei Klassennamen muss auf die exakte Schreibweise geachtet werden.';
      D_t=['Dieser Pseudoklassenselektor gilt fr Elemente mit Hypertextverweisen (in HTML nur auf A Elemente mit Attribut href anwendbar), die noch nicht aufgerufen (angeklickt) wurden.','Zur "visited" Pseudoklasse zhlen alle Elemente mit Hypertextverweisen, die bereits aufgerufen (angeklickt) wurden.','Die "active" Pseudoklasse betrifft alle Elemente, die z.B. durch Drcken der Maustaste aktiviert werden.'];
      e_t='Der Platzhalter steht fr mindestens ein Leerzeichen. Ein an der entsprechenden Stelle eingefgtes Leerzeichen erzeugt einen Kontextselektor. Ein Kontextselektor z.B. H1 EM passt zu einem Element EM, wenn dieses innerhalb eines bergeordneten Elements H1, also in dessen Kontext steht. Ein Kontextselektor bercksichtigt also die Verschachtelungshierarchie von Elementen, wobei es gleichgltig ist, auf welcher Verschachtelungsebene das passende Element steht. Im genannten Beispiel wrde EM auch dann als passend erkannt, wenn es z.B. innerhalb eines ABBR Elements steht, welches selbst in einem H1 enthalten ist. Der Selektor beginnt in der Reihenfolge von links nach rechts mit dem Element der obersten Verschachtelungsstufe und wird mit den jeweils untergeordneten Elementen fortgesetzt. Die Style Sheet Deklarationen finden nur auf das letzte Element des Selektors Anwendung.';
      F_t=['Dieses Pseudolelement selektiert die erste Zeile eines Elements. Das Ende der ersten Zeile hngt von verschiedenen Einstellungen ab (z.B. Fenster- und Schriftgre) und kann daher erst bei der Ausgabe vom Browser bestimmt werden.<BR>Ein Pseudoelelement wird im Prinzip wie ein inline-level Element behandelt, wobei zustzliche Einschrnkungen gelten. So sind nur die folgenden Eigenschaften auf Peseudeoelemente anwendbar: alle "font"- und "background"- Eigenschaften, sowie die aus folgender Liste: "color", "word-spacing", "letter-spacing", "text-decoration", "vertical-align", "text-transform", "line-height", "text-shadow" und "clear".','Hiermit ist der erste Buchstabe des Inhalts eines Elements, welches ein block-level Element sein mu, angesprochen. Auf dieses Pseudoelement sind alle "margin"-, "padding"-, "border", "background"- und "font"- Eigenschaften sowie die folgenden anwendbar: "color", "text-decoration", "vertical-align" (nur wenn "float" auf "none" eingestellt ist), "text-transform", "line-height", "float", "text-shadow" und "clear".'];
      return}
    if(it=='css1Deklaration') {
      ti='CSS1: Style Deklaration';
      bt='<P>Eine Deklaration legt eine einzelne Ausgabeeigenschaft eines Elements oder einer Gruppe von Elementen des Dokuments fest. Sie besteht aus einer Eigenschaft und dem dazugehrigen Wert. Eigenschaft und Wert sind durch einen Doppelpunkt getrennt.<BR>Eine Eigenschaft wird durch ein in der Style Sheet Spezifikation festgelegtes Schlsselwort angegeben. In CSS1 sind 53 Eigenschaften definiert. Jeder dieser Eigenschaften knnen bestimmte Werte zugewiesen werden. Die mglichen Werte sind entweder einer vorgegebenen Liste zu entnehmen oder sie sind auf einen definierten Wertebereich beschrnkt. Manche Werte bentigen auerdem die Angabe einer Greneinheit.<BR>Die Anwendbarkeit von Eigenschaften auf Elemente des Dokuments kann vom Typ des Elements abhngen. So kann z.B. die Eigenschaft "text-align", die die Textausrichtung innerhalb eines Elements steuert, nur fr block-level Elemente vergeben werden.<BR>Fr die meisten Eigenschaften sind Standardwerte definiert, auf die ein Browser zurckgreifen kann, wenn eine entsprechende Deklaration im Style Sheet fehlt.</P><P><img src="../../../pics/ueb.gif" width="19" height="20" border="0" alt="zum bergeordneten Diagramm"> '+verweis(top.css1StyleSheet[3])+'</P>';
      bem='';
      a='[Eigenschaft]';b='[Wert]';c='!important';
      a_t='Eine in der CSS1 Spezifikation enthaltenen Style Eigenschaft. Die Eigenschaften sind meist klein geschrieben, die Schreibweise ist jedoch beliebig. Eigenschaften knnen also klein- oder gro geschrieben werden.';
      b_t='Wert steht fr die spezielle Einstellung einer Eigenschaft. Z.B. kann die Eigenschaft "font-size", also die Schriftgre (Schriftgrad) auf einen Wert von 12 Pixel (12px) eingestellt werden. Gro- bzw. Kleinschreibung spielt bei Werten nur in Ausnahmefllen eine Rolle, wie z.B. dann wenn eine URI (URL) als Wert vorkommt.';
      c_t='Es kann vorkommen, dass einem Element eine bestimmte Style Eigenschaft in mehreren Deklarationen mit unterschiedlichen Werten zugewiesen wird. In solchen Fllen werden die konkurrierenden Deklarationen anhand bestimmter Priorittsregeln ausgewertet. Eine Mglichkeit, Einflu auf die Prioritt einer Deklaration zu nehmen, besteht in der Verwendung des Schlsselworts "!important". Einzelheiten zu diesem Sachverhalt werden im Abschnitt Kaskadierung erlutert.';
      return}
  }
  alert('Fehler in Datei css1specdat.js');
}