//top.ladan('css2desk.js',null);

// abhngig von Versionen verzweigen
function ausgabe(auswahl,index,verIndex) {
  if(verIndex==0) alert("Bitte zuerst eine Style Sheet Version auswhlen!");
  else if(verIndex==1)  top.frames[0].css1Info(auswahl,index);
  else if(verIndex==2) top.frames[0].css2Info(auswahl,index);
}
// Beschreibung der Einheiten zuweisen
function einheiten(nr) {
  var lre = '<LI><SPAN class="cssv">em</SPAN><BR>(Angabe in Einheiten der Schriftgr&ouml;&szlig;e des &uuml;bergeordneten Elements, dh. 1em entspricht der Schriftgr&ouml;&szlig;e des &uuml;bergeordneten Elements.)</LI>'+
  '<LI><SPAN class="cssv">ex</SPAN><BR>(Angabe bezieht sich auf die Schriftgr&ouml;&szlig;e des Buchstabens "x" des &uuml;bergeordneten Elements.)</LI>';
  var lae = '<LI><SPAN class="">px</SPAN><BR>(Pixel)</LI>'+
  '<LI><SPAN class="">in</SPAN><BR>(Inch, 1in = 2,54cm)</LI>'+
  '<LI><SPAN class="">cm</SPAN><BR>(Zentimeter)</LI>'+
  '<LI><SPAN class="">mm</SPAN><BR>(Millimeter)</LI>'+
  '<LI><SPAN class="">pt</SPAN><BR>(Points, 1pt = 1/72 in)</LI>'+
  '<LI><SPAN class="">pc</SPAN><BR>(Pica, 1pc = 12pt)</LI>'
  var lstr = '<BR>[L]: L&auml;ngen- bzw. Gr&ouml;&szlig;eneinheit aus folgender Liste:<UL>'+lre+lae+'</UL>'
  var lastr = '<BR>[La]: L&auml;ngen- bzw. Gr&ouml;&szlig;eneinheit aus folgender Liste:<UL>'+lae+'</UL>'

  var rstr = "<BR>[RZ]: Reelle Zahl"
  var rpstr = "<BR>[RZ+]: Positive reelle Zahl"
  var rsstr = "<BR>[RZ]*: Reelle Zahl. Negative Werte sind grunds&auml;tzlich m&ouml;glich, es k&ouml;nnen jedoch browserspezifische Einschr&auml;nkungen vorliegen."
  var fstr='<BR>[F]: Frequenzeinheit aus folgender Liste:<UL><LI><SPAN class="">Hz</SPAN><BR>Hertz</LI><LI><SPAN class="">kHz</SPAN><BR>kilo Hertz</LI></UL>'
  var zstr='<BR>[T]: Zeiteinheit aus folgender Liste:<UL><LI><SPAN class="">s</SPAN><BR>Sekunden</LI><LI><SPAN class="">ms</SPAN><BR>Millisekunden</LI></UL>'
  var wstr='<BR>[W]: Winkeleinheit aus folgender Liste:<UL><LI><SPAN class="">deg</SPAN><BR>Grad (rechter Winkel = 90&#176;)</LI><LI><SPAN class="">grad</SPAN><BR>Gon (auch Neugrad: 90&#176; = 100 gon)</LI><LI><SPAN class="">rad</SPAN><BR>Radiant (Winkel im Bogenma&szlig;: 90&#176; = Pi&nbsp;/&nbsp;2)</LI></UL>'

  if (nr=="[RZ+] [F]") return rpstr+fstr
  if (nr=="[RZ+] [T]") return rpstr+zstr
  if (nr=="[RZ] [W]") return rstr+wstr
  if (nr=="[RZ] [L]") return rstr+lstr
  if (nr=="[RZ+]") return rpstr
  if (nr=="[RZ+] [L]") return rpstr+lstr
  if (nr=="[RZ+] [La]") return rpstr+lastr
  if (nr=="[RZ]* [L]") return rsstr+lstr
  if (nr=="[RZ] %") return rstr
  if (nr=="[RZ+] %") return rpstr
  if (nr=="[RZ]* %") return rsstr
  if (nr=="[GZ]") return "<BR>[GZ]: Ganze Zahl"
  if (nr=="[color]") return ' Angaben aus der folgenden Liste sind m&ouml;glich:<UL><LI><SPAN class="">#[00-FF][00-FF][00-FF]</SPAN><BR>(Farbangaben in Hex-Code. Der Farbwert wird in der Reihenfolge Rot, Gr&uuml;n, Blau mit je zweistelligen Hex-Werten angegeben.)</LI>'+
  '<LI><SPAN class="">rgb( [0-255],[0-255],[0-255] )</SPAN><BR>(Dezimale Farbangaben in der Reihenfolge Rot, Gr&uuml;n, Blau mit Werten von 0-255 je Grundfarbe.)</LI>'+
  '<LI><SPAN class="">rgb( [0-100]%,[0-100]%,[0-100]% )</SPAN><BR>(Farbangaben in Prozent. Die Farbwerte werden in Prozent je Grundfarbe angegeben.)</LI>'+
  '<LI><SPAN class="">Einer dieser 16 Farbnamen: aqua, black, blue, fuchsia, gray, green, lime, maroon, navy, olive, purple, red, silver, teal, white und yellow<SPAN></UL>'
  else return ''
}
// Diagrammtyp umsetzen fr Erluterungen (Syntaxzeichen entfernen)
function erlVar(str) {
  var out =new Array();
  re=/[\?\|\*\(\)\+\[\]]/g;  str=str.replace(re,'');
  str=dubl(str);
  for(var i=0;i<str.length;i++) out[i]=str.substr(i,1);
  return out;
}
// doppelte Variable (Buchstaben) entfernen
function dubl(inStr){
  var outStr=inStr.substr(0,1);
  var enth=false;
  for(var i=1;i<inStr.length;i++) {
    enth=false;
    for(var j=0;j<outStr.length;j++) {
      if(inStr.substr(i,1)==outStr.substr(j,1)) {
        enth=true;
        break;
      }
    }
    if (!enth) outStr+=inStr.substr(i,1);
  }
  return outStr;
}
// Diagrammtyp umsetzen in Funktionsaufruf
function diagfkt(str) {
  var altstr = str
  re=/[?]/g; str=str.replace(re,'_q');
  re=/[|]/g; str=str.replace(re,'_o');
  re=/[*]/g; str=str.replace(re,'_s');
  re=/[(]/g; str=str.replace(re,'_w');
  re=/[)]/g; str=str.replace(re,'_w');
  re=/[\[]/g; str=str.replace(re,'_a');
  re=/]/g; str=str.replace(re,'_z');
  re=/[+]/g; str=str.replace(re,'_p');
  re=/}/g; str=str.replace(re,'_r');
  re=/{/g; str=str.replace(re,'_r');
  return str;
}
// Diagrammtyp der Eigenschaften bestimmen
// Beispielbutton hier vorsehen
function propSelDiagTyp() {
  with (top.frames[0]) {
//alert(' Diagrammfunktion: top.d_'+diagfkt(q.dt)+'(top.frames[0].q)');
//welche Eigenschaft??    if (q.dt=="ab?|c") { erltext("a","b","c"); return d_abqoc(q) }
    propWerteText(erlVar(q.dt)); return eval('top.d_'+diagfkt(q.dt)+'(top.frames[0].q)');
  }
}
function deskSelDiagTyp() {
  with (top.frames[0]) {
    deskWerteText(erlVar(d.dt)); return eval('top.d_'+diagfkt(d.dt)+'(top.frames[0].d)');
  }
}
// Bemerkungen zu Diagramm (in Datenbank abspeichern!)
function zusatz(q) {
  q.bem="F&uuml;r diese Eigenschaft k&ouml;nnen durch Aufz&auml;hlung mehrere Werte gleichzeitig vergeben werden. Die Reihenfolge, in der diese Werte angegeben werden ist beliebig. Zur Vereinfachung des Diagramms ist nur eine Variante dargestellt.";
}

//top.ladan(null,5);