/*
Spezielle Funktionen fr den Pfeil-Layer
*/
// Offset Pfeil-Layer
pfreXo = -24
pfreYo = -12
pfliXo = 0
pfliYo = -12
pfobXo = -12
pfobYo = 0
pfunXo = -12
pfunYo = -24
// Slide-Konstante
inc = 3
wait = 2

function DynLayerImg(imgName) {
	if (isBr.nc4up) { this.img = this.doc.images[imgName] }
	else if (isBr.ie4up) { this.img = document.images[imgName] }
}

function DynLayerPfeilInit(imgName) {
	preload('pfre','pfre.gif')
	preload('pfli','pfli.gif')
	preload('pfob','pfob.gif')
	preload('pfun','pfun.gif')
	
	this.layerImg = DynLayerImg
	this.layerImg(imgName)
	this.pfeilSlide = DynLayerPfeilSlide
	this.pfeilMoveTo = DynLayerPfeilMoveTo
	this.pfeilCoords = DynLayerPfeilCoords
}

function DynLayerPfeilMoveTo(o,x,y) {
	var dx, dy

	if (o == "r") { dx = pfreXo; dy = pfreYo; this.img.src = pfre.src }
	if (o == "l") { dx = pfliXo; dy = pfliYo; this.img.src = pfli.src }
	if (o == "o") { dx = pfobXo; dy = pfobYo; this.img.src = pfob.src }
	if (o == "u") { dx = pfunXo; dy = pfunYo; this.img.src = pfun.src }
	
	if (x!=null) {
		this.x = x + dx
		this.css.left = this.x
	}
	if (y!=null) {
		this.y = y + dy
		this.css.top = this.y
	}
}

function DynLayerPfeilCoords(xArray,xIndexArray,yArray,yIndexArray) {
	this.xcoords = new Array()
	this.ycoords = new Array()

	for (i=0; i<xIndexArray.length; i++) {
		this.xcoords[i] = xArray[xIndexArray[i]]
		this.ycoords[i] = yArray[yIndexArray[i]]
	}
}

function DynLayerPfeilSlide(index,inc,wait,fn) {
	var dx, dy

	if (index < this.xcoords.length) {
		dx = this.xcoords[index] - this.xcoords[index-1]
		dy = this.ycoords[index] - this.ycoords[index-1]
		
		if (dx == 0 && dy == 0) { alert("Fehler: keine Bewegung!") }
		else if (dx == 0 && dy < 0) {
			this.img.src = pfob.src
			this.moveTo(this.xcoords[index-1]+pfobXo,this.ycoords[index-1]+pfobYo)
			this.slideTo(this.xcoords[index]+pfobXo,this.ycoords[index]+pfobYo,inc,wait,this.obj+".pfeilSlide("+(++index)+","+inc+","+wait+",'"+fn+"')")
		}
		else if (dx == 0 && dy > 0) {
			this.img.src = pfun.src
			this.moveTo(this.xcoords[index-1]+pfunXo,this.ycoords[index-1]+pfunYo)
			this.slideTo(this.xcoords[index]+pfunXo,this.ycoords[index]+pfunYo,inc,wait,this.obj+".pfeilSlide("+(++index)+","+inc+","+wait+",'"+fn+"')")
		}
		else if (dy == 0 && dx < 0) {
			this.img.src = pfli.src
			this.moveTo(this.xcoords[index-1]+pfliXo,this.ycoords[index-1]+pfliYo)
			this.slideTo(this.xcoords[index]+pfliXo,this.ycoords[index]+pfliYo,inc,wait,this.obj+".pfeilSlide("+(++index)+","+inc+","+wait+",'"+fn+"')")
		}
		else if (dy == 0 && dx > 0) {
			this.img.src = pfre.src
			this.moveTo(this.xcoords[index-1]+pfreXo,this.ycoords[index-1]+pfreYo)
			this.slideTo(this.xcoords[index]+pfreXo,this.ycoords[index]+pfreYo,inc,wait,this.obj+".pfeilSlide("+(++index)+","+inc+","+wait+",'"+fn+"')")
		}
		else if (dy != 0 && dx != 0) { alert("Fehler: diagonale Bewegung!") }
	}
	else {
		eval(fn)
	}
}
